import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
// 查询资源组任务分配列表
export function listResourcePlan(query) {
  return request({
     url: baseUrl + '/business/resourcePlan/list',
    method: 'get',
    params: query
  })
}

// 查询资源组任务分配详细
export function getResourcePlan(id) {
  return request({
     url: baseUrl + '/business/resourcePlan/' + id,
    method: 'get'
  })
}

// 新增资源组任务分配
export function addResourcePlan(data) {
  return request({
     url: baseUrl + '/business/resourcePlan',
    method: 'post',
    data: data
  })
}
// 新增资源组任务分配
export function saveBatchResourcePlan(data) {
  return request({
     url: baseUrl + '/business/resourcePlan/saveBatch',
    method: 'post',
    data: data
  })
}

// 修改资源组任务分配
export function updateResourcePlan(data) {
  return request({
     url: baseUrl + '/business/resourcePlan',
    method: 'put',
    data: data
  })
}

// 删除资源组任务分配
export function delResourcePlan(id) {
  return request({
     url: baseUrl + '/business/resourcePlan/' + id,
    method: 'delete'
  })
}
